<!doctype html>
<html>
  <head>
    <title>PREMIER CHAT WEEBO</title>
    <style>
      * { margin: 0; padding: 0; box-sizing: border-box; }
      body { font: 13px Helvetica, Arial; }
      form { background: #000; padding: 3px; position: fixed; bottom: 0; width: 100%; }
      form input { border: 0; padding: 10px; width: 90%; margin-right: .5%; }
      form button { width: 9%; background: rgb(130, 224, 255); border: top; padding: 10px; }
      #messages { list-style-type: none; margin: 0; padding: 0; }
      #messages li { padding: 5px 10px; }
      #messages li:nth-child(odd) { background: #eee; }
    </style>
  </head>
  <body>
    <ul id="messages"></ul>
    <form action="">
      <input id="user" type="text" placeholder="USERANME" value=""/>
      <form action="">
        <input id="m" autocomplete="off" /><button id="chat">Send</button>
    </form>
    </form>
    
    <script src="/socket.io/socket.io.js"></script>
    <script src="https://code.jquery.com/jquery-1.11.1.js"></script>
    <script>
        $(function () {
          var socket = io();
          $('form').submit(function(e){
            document.getElementById('user').setAttribute('readonly', 'readonly');
            e.preventDefault(); // prevents page reloading
            socket.emit('chat message',$('#user').val() +":"+$('#m').val());
            $('#m').val('');
            return false;
          });
          socket.on('chat message', function(msg){
            var rest= msg.split(":");
            if(rest[0]===$('#user').val())
            {
                rest[0]="YOU";
            }
            $('#messages').append($('<li>').text(rest[0] + " : " + rest[1]));
          });
        });
      </script>
      <script>
        function makeid(length) {
            var result           = '';
            var characters       = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789';
            var charactersLength = characters.length;
            for ( var i = 0; i < length; i++ ) {
               result += characters.charAt(Math.floor(Math.random() * charactersLength));
            }
            return result;
         }
         var inputvoulue =document.getElementById("user");
         inputvoulue.value="user_"+makeid(4);
      </script>
  </body>
</html>